From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Fri, 21 Feb 97 12:53:06 +0100
To: linux-m68k@phil.uni-sb.de
In-Reply-To: <m0vwb6m-00039TC@emilio.informatik.uni-erlangen.de> (message from
	Roman Hodek on Mon, 17 Feb 1997 23:00:24 +0100 (MET))
Subject: Re: L68K: Atari keyboard self test
X-Yow: Are you mentally here at Pizza Hut??
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Roman Hodek <rnhodek@emilio.informatik.uni-erlangen.de> writes:

|> Another goodie for today: I've finally implemented an evaluation of
|> the IKBD self test.

... and here's a patch for it that fixes a blatant bug:

--- arch/m68k/atari/atakeyb.c.~2~	Thu Feb 20 16:03:07 1997
+++ arch/m68k/atari/atakeyb.c	Thu Feb 20 16:03:54 1997
@@ -428,7 +428,7 @@
 		    keyval = KVAL(keyval);
 		    
 		    printk( KERN_WARNING "Key with scancode %d ", scancode );
-		    if (keytyp == KT_LATIN || KT_LETTER) {
+		    if (keytyp == KT_LATIN || keytyp == KT_LETTER) {
 			if (keyval < ' ')
 			    printk( "('^%c') ", keyval + '@' );
 			else

-- 
Andreas Schwab                                      "And now for something
schwab@issan.informatik.uni-dortmund.de              completely different"
